Bug 658627 - RFE: more descriptive names for yum repos in provisioned machines
RFE: more descriptive names for yum repos in provisioned machines
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 15:48 EST by Dave Malcolm
Modified: 2012-09-13 10:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-23 15:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-11-30 15:48:35 EST
Description of problem:
Upon provisioning a machine with beaker, the yum repositories aren't descriptively named: they are all of the form "beaker-distro([0-9]+)"

# yum repolist
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
repo id                 repo name                status
beaker-distro1          beaker-distro1           enabled:    32
beaker-distro2          beaker-distro2           enabled:    36
beaker-distro3          beaker-distro3           enabled: 2,291
beaker-distro4          beaker-distro4           enabled:    35
beaker-distro5          beaker-distro5           enabled:    13
beaker-harness          beaker-harness           enabled:    43
beaker-tasks            beaker-tasks             enabled: 7,229
repolist: 9,679

Is it possible to make them a bit more descriptive? (yum uses them in various places in the textual UI, and right now I never know quite what I'm getting)

e.g. (on this host), something like the following would be nice:
  beaker-RHEL-5-Server-U5-ia64-Cluster
  beaker-RHEL-5-Server-U5-ia64-ClusterStorage
  beaker-RHEL-5-Server-U5-ia64-Server
  beaker-RHEL-5-Server-U5-ia64-VT
  beaker-RHEL-5-Server-U5-basearch-Supplementary
(taken by mangling up the baseurl by hand)

(I'm not sure what yum's repo naming restrictions are, but I'm guessing alphanumeric-plus-dashes and not too long would do it)

Note You need to log in before you can comment on or make changes to this bug.